Public Class PostulanteIdiomaBusinessObject
    Inherits BusinessObject(Of PostulanteIdioma)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New PostulanteIdiomaDbHelper
    End Sub

    Public Sub New(ByVal entity As PostulanteIdioma)
        MyBase.New(entity)
        DbHelper = New PostulanteIdiomaDbHelper
    End Sub

    Public Sub New(ByVal idPostulanteIdioma As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPostulanteIdioma = idPostulanteIdioma
        Dim Entity_Aux As PostulanteIdioma = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As PostulanteIdiomaBusinessObject
    Protected Shared Function GetDdHelperInstance() As PostulanteIdiomaDbHelper
        If _Instance Is Nothing Then
            _Instance = New PostulanteIdiomaBusinessObject
        End If
    Return CType(_Instance.DbHelper, PostulanteIdiomaDbHelper)
    End Function

    Public Shared Function GetListPostulanteIdioma(Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteIdioma)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListPostulanteIdiomaByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteIdioma)
        Return GetDdHelperInstance.GetListPostulanteIdiomaByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
